import { AssetSupply, Transaction } from './graphql_types';
import { ConnectionConfig, Schema } from '@cardano-ogmios/client';
import { Logger } from 'ts-log';
export declare class CardanoNodeClient {
    readonly lastConfiguredMajorVersion: number;
    private logger;
    readonly networkParams: string[];
    adaCirculatingSupply: AssetSupply['circulating'];
    private stateQueryClient;
    private txSubmissionClient;
    private state;
    constructor(lastConfiguredMajorVersion: number, logger?: Logger);
    getTipSlotNo(): Promise<number>;
    getProtocolParams(): Promise<Schema.ProtocolParametersShelley>;
    initialize(ogmiosConnectionConfig?: ConnectionConfig): Promise<void>;
    private isInCurrentEra;
    shutdown(): Promise<void>;
    submitTransaction(transaction: string): Promise<Transaction['hash']>;
}
//# sourceMappingURL=CardanoNodeClient.d.ts.map